##
Documentation de la bibliothèque MED-fichier V2.2 : Guide de référence - Module "MED_Equivalence".

Sommaire de la page

- Liste des routines
- Accès direct par le nom
  - Interface C

    - MEDequivCr
    - MEDequivEcr

    - MEDequivInfo
    - MEDequivLire

    - MEDnCorres
    - MEDnEquiv

  - Interface FORTRAN

    - efequc
    - efeque

    - efequi
    - efequl

    - efncor
    - efnequ

- Accès thématique

  - Création d'une équivalence
    - Interface C : MEDequivCr
    - Interface FORTRAN : efequc
  - Ecriture d'un tableau de correspondance
    - Interface C : MEDequivEcr
    - Interface FORTRAN : efeque
  - Lecture du nombre d'équivalence
    - Interface C : MEDnEquiv
    - Interface FORTRAN : efnequ

  - Lecture des informations dans une équivalence
    - Interface C : MEDequivInfo
    - Interface FORTRAN : efequi
  - Lecture du nombre de correspondance
    - Interface C : MEDnCorres
    - Interface FORTRAN : efncor
  - Lecture d'un tableau de correspondances
    - Interface C : MEDequivLire
    - Interface FORTRAN : efequl

Retour à la page du guide de référence.

# Liste des routines

Les routines disponibles permettent de :

- Créer une équivalence dans un maillage.
- Ecrire un tableau de correspondances entre binômes d'entités du maillage dans une équivalence.
- Lire le nombre d'équivalence dans un maillage.
- Lire les informations concernant une équivalence.
- Lire le nombre de correspondance existant dans un tableau de correspondances.
- Lire un tableau de correspondances dans une équivalence.

# Création d'une équivalence

### Interface C

- Nom : MEDequivCr
- Signature :

      med_err
      MEDequivCr(med_idt fid,char *maa, char *eq, char *desc)

- Paramètres :
  - fid (IN) : descripteur du fichier MED.
  - maa (IN) : nom du maillage.
  - eq (IN) : nom de l'équivalence.
  - desc (IN) : description de l'équivalence.
- Code retourné : 0 si réussite, -1 sinon.

### Interface FORTRAN

- Nom : efequc
- Signature :

            subroutine efequc ( fid , maa , eq , desc , cret)
            character *(*) maa, desc, eq
            integer fid, cret

- Paramètres :
  - fid (IN) : descripteur du fichier MED.
  - maa (IN) : nom du maillage.
  - eq (IN) : nom de l'équivalence.
  - desc (IN) : description de l'équivalence.
  - cret (OUT) : code de retour, 0 si réussite, -1 sinon.

### Description

Création d'une équivalence dans un maillage.

### Remarques

- Le nom du maillage est une chaîne de MED_TAILLE_NOM (32) caractères.
- Le nom de l'équivalence est une chaîne de MED_TAILLE_NOM (32) caractères.
- La description est une chaîne de MED_TAILLE_DESC (200) caractères.

# Ecriture d'un tableau de correspondance dans une équivalence

### Interface C

- Nom : MEDequivEcr
- Signature :

      med_err
      MEDequivEcr(med_idt fid, char *maa, char *eq, med_int *corr, med_int n,
      	    med_entite_maillage typent, med_geometrie_element typgeo)

- Paramètres :
  - fid (IN) : descripteur du fichier.
  - maa (IN) : nom du maillage.
  - eq (IN) : nom de l'équivalence.
  - corr (IN) : tableau des correspondances.
  - n (IN) : nombre de correspondances dans le tableau.
  - typent (IN) : type des entités mises en correspondance.
  - typgeo (IN) : type géométrique des entités.
- Code retourné : 0 si réussite, -1 sinon.

### Interface FORTRAN

- Nom : efeque
- Signature :

            subroutine efeque (fid,maa,eq,corr,n,typent,typgeo,cret)
            integer fid, cret, corr(*), n, typent, typgeo

- Paramètres :
  - fid (IN) : descripteur du fichier.
  - maa (IN) : nom du maillage.
  - eq (IN) : nom de l'équivalence.
  - corr (IN) : tableau des correspondances.
  - n (IN) : nombre de correspondances dans le tableau.
  - typent (IN) : type des entités mises en correspondance.
  - typgeo (IN) : type géométrique des entités.
  - cret (OUT) : code de retour, 0 si réussite, -1 sinon.

### Description

Ecriture des correspondances 2 à 2 associées à une équivalence pour un type géométrique d'une entité du maillage.

### Remarques

- Le nom du maillage est une chaîne de MED_TAILLE_NOM (32) caractères.
- Le nom de l'équivalence est une chaîne de MED_TAILLE_NOM (32) caractères.
- Le tableau des correspondances est un tableau à 1 dimension de taille égale à "2 * n". Les correspondances y sont rangées 2 à 2.
- Le type de l'entite "typent" est soit MED_NOEUD, MED_MAILLE, MED_FACE ou MED_ARETE.
- Le type géométrique peut être :
  - Pour les noeuds : 0.
  - Pour les mailles : MED_POINT1, MED_SEG2, MED_SEG3, MED_TRIA3, MED_TRIA6, MED_QUAD4, MED_QUAD8, MED_POLYGONE.
  - Pour les faces : MED_TRIA3, MED_TRIA6, MED_QUAD4, MED_QUAD8, MED_POLYGONE.
  - Pour les arêtes : MED_SEG2 et MED_SEG3.
- Evolutions apportées par MED-fichier V2.2 :
  - Disparition du paramètre "mode" qui spécifiait le mode d'écriture des correspondances. Le mode d'accès aux données d'un fichier MED se décide désormais à l'ouverture de ce fichier.

# Lecture du nombre d'équivalence dans un maillage

### Interface C

- Nom : MEDnEquiv
- Signature :

      med_int
      MEDnEquiv(med_idt fid, char *maa)

- Paramètres :
  - fid (IN) : descripteur du fichier MED.
  - maa (IN) : nom du maillage.
- Code retourné : nombre d'équivalence si réussite, -1 sinon.

### Interface FORTRAN

- Nom : efnequ
- Signature :

            subroutine efnequ(fid,maa,n,cret)
            character *(*) maa
            integer fid, cret, n

- Paramètres :
  - fid (IN) : descripteur du fichier MED.
  - maa (IN) : nom du maillage.
  - n (OUT) : nombre d'équivalence.
  - cret (OUT) : code retour, 0 si réussite, -1 sinon.

### Description

Lecture du nombre d'équivalence dans un maillage.

### Remarques

- Le nom du maillage est une chaîne de MED_TAILLE_NOM (32) caractères.

# Lecture des informations relatives à une équivalence

### Interface C

- Nom : MEDequivInfo
- Signature :

      med_err
      MEDequivInfo(int fid, char *maa, int ind, char *eq, char *des)

- Paramètres :
  - fid (IN) : descripteur du fichier MED.
  - maa (IN) : nom du maillage.
  - ind (IN) : indice de l'équivalence dans le maillage.
  - eq (OUT)) : nom de l'équivalence.
  - des (OUT) : description de l'équivalence.
- Code retourné : 0 si réussite, -1 sinon.

### Interface FORTRAN

- Nom : efequi
- Signature :

            subroutine efequi(fid,maa,ind,eq,des,cret)
            character *(*) maa,eq,des
            integer fid, cret,ind

- Paramètres :
  - fid (IN) : descripteur du fichier MED.
  - maa (IN) : nom du maillage.
  - ind (IN) : indice de l'équivalence dans le maillage.
  - eq (OUT)) : nom de l'équivalence.
  - des (OUT) : description de l'équivalence.
  - cret (OUT) : code retour, 0 si réussite, -1 sinon.

### Description

Lecture des informations sur une équivalence. Les données lues sont :

- Le nom.
- La description.

### Remarques

- Le nom du maillage est une chaîne de MED_TAILLE_NOM (32) caractères.
- Le nom de l'équivalence est une chaîne de MED_TAILLE_NOM (32) caractères.
- La chaîne de description est une chaîne de MED_TAILLE_DESC (200) caractères.
- Si un maillage contient "n" équivalences, les indices vont de 1 à "n".

# Lecture du nombre de correspondance

### Interface C

- Nom : MEDnCorres
- Signature :

      med_int
      MEDnCorres(med_idt fid,char *maa,char *eq,med_entite_maillage typent,
      	   med_geometrie_element typgeo)

- Paramètres :
  - fid (IN) : descripteur du fichier MED.
  - maa (IN) : nom du maillage.
  - eq (IN) : nom de l'équivalence.
  - typent (IN) : type de l'entité.
  - typgeo (IN) : type géométrique de l'entité.
- Code retourné : nombre de correspondances si réussite, -1 sinon.

### Interface FORTRAN

- Nom : efncor
- Signature :

            subroutine efncor(fid,maa,eq,typent,typgeo,n,cret)
            character *(*) maa, eq
            integer fid, cret, n,typent, typgeo

- Paramètres :
  - fid (IN) : descripteur du fichier MED.
  - maa (IN) : nom du maillage.
  - eq (IN) : nom de l'équivalence.
  - typent (IN) : type de l'entité.
  - typgeo (IN) : type géométrique de l'entité.
  - n (OUT) : nombre de correspondances.
  - cret (OUT) : code retour, 0 si réussite, -1 sinon.

### Description

Lecture du nombre de correspondance dans une équivalence pour un type d'entité donné.

### Remarques

- Le nom du maillage est une chaîne de MED_TAILLE_NOM (32) caractères.
- Le nom de l'équivalence est une chaîne de MED_TAILLE_NOM (32) caractères.
- Le type de l'entite "typent" est soit MED_NOEUD, MED_MAILLE, MED_FACE ou MED_ARETE.
- Le type géométrique peut être :
  - Pour les noeuds : 0.
  - Pour les mailles : MED_POINT1, MED_SEG2, MED_SEG3, MED_TRIA3, MED_TRIA6, MED_QUAD4, MED_QUAD8, MED_POLYGONE.
  - Pour les faces : MED_TRIA3, MED_TRIA6, MED_QUAD4, MED_QUAD8, MED_POLYGONE.
  - Pour les arêtes : MED_SEG2 et MED_SEG3.

# Lecture d'un tableau de correspondance dans une équivalence

### Interface C

- Nom : MEDequivLire
- Signature :

      med_err
      MEDequivLire(med_idt fid, char *maa, char *eq, med_int *corr, med_int n,
                  med_entite_maillage typent,med_geometrie_element typgeo)

- Paramètres :
  - fid (IN) : descripteur du fichier.
  - maa (IN) : nom du maillage.
  - eq (IN) : nom de l'équivalence.
  - corr (OUT) : tableau des correspondances.
  - n (IN) : nombre de correspondances dans le tableau.
  - typent (IN) : type des entités mises en correspondance.
  - typgeo (IN) : type géométrique des entités.
- Code retourné : 0 si réussite, -1 sinon.

### Interface FORTRAN

- Nom : efequl
- Signature :

            subroutine efequl(fid,maa,eq,corr,n,typent,typgeo,cret)
            character *(*) maa, eq
            integer fid, cret, corr(*), n,typent, typgeo

- Paramètres :
  - fid (IN) : descripteur du fichier.
  - maa (IN) : nom du maillage.
  - eq (IN) : nom de l'équivalence.
  - corr (OUT) : tableau des correspondances.
  - n (IN) : nombre de correspondances dans le tableau.
  - typent (IN) : type des entités mises en correspondance.
  - typgeo (IN) : type géométrique des entités.
  - cret (OUT) : code de retour, 0 si réussite, -1 sinon.

### Description

Lecture des correspondances 2 à 2 associées à une équivalence pour un type géométrique d'une entité du maillage.

### Remarques

- Le nom du maillage est une chaîne de MED_TAILLE_NOM (32) caractères.
- Le nom de l'équivalence est une chaîne de MED_TAILLE_NOM (32) caractères.
- Le tableau des correspondances "corr" est un tableau à 1 dimension de taille égale à "2 * n". Les correspondances y sont rangées 2 à 2.
- Le type de l'entite "typent" est soit MED_NOEUD,MED_MAILLE, MED_FACE ou MED_ARETE.
- Le type géométrique peut être :
  - Pour les noeuds : 0.
  - Pour les mailles : MED_POINT1, MED_SEG2, MED_SEG3, MED_TRIA3, MED_TRIA6, MED_QUAD4, MED_QUAD8, MED_POLYGONE.
  - Pour les faces : MED_TRIA3, MED_TRIA6, MED_QUAD4, MED_QUAD8, MED_POLYGONE.
  - Pour les arêtes : MED_SEG2 et MED_SEG3.